# This script was automatically generated from the dsa-1200
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
An integer overflow has been found in the pixmap handling routines in
the Qt GUI libraries.  This could allow an attacker to cause a denial of
service and possibly execute arbitrary code by providing a specially
crafted image file and inducing the victim to view it in an application
based on Qt.
For the stable distribution (sarge), this problem has been fixed in
version 3:3.3.4-3sarge1.
For the unstable distribution (sid), this problem has been fixed in
versions 3:3.3.7-1 and 4.2.1-1.
We recommend that you upgrade your qt-x11-free packages.


Solution : http://www.debian.org/security/2006/dsa-1200
Risk factor : High';

if (description) {
 script_id(22927);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1200");
 script_cve_id("CVE-2006-4811");
 script_bugtraq_id(20599);

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2006 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1200] DSA-1200-1 qt-x11-free");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1200-1 qt-x11-free");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libqt3-compat-headers', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3-compat-headers is vulnerable in Debian 3.1.\nUpgrade to libqt3-compat-headers_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3-dev', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3-dev is vulnerable in Debian 3.1.\nUpgrade to libqt3-dev_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3-headers', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3-headers is vulnerable in Debian 3.1.\nUpgrade to libqt3-headers_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3-i18n', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3-i18n is vulnerable in Debian 3.1.\nUpgrade to libqt3-i18n_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3-mt-dev', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3-mt-dev is vulnerable in Debian 3.1.\nUpgrade to libqt3-mt-dev_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102 is vulnerable in Debian 3.1.\nUpgrade to libqt3c102_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-ibase', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-ibase is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-ibase_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt-ibase', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt-ibase is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt-ibase_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt-mysql', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt-mysql is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt-mysql_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt-odbc', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt-odbc is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt-odbc_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt-psql', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt-psql is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt-psql_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mt-sqlite', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mt-sqlite is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mt-sqlite_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-mysql', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-mysql is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-mysql_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-odbc', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-odbc is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-odbc_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-psql', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-psql is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-psql_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'libqt3c102-sqlite', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libqt3c102-sqlite is vulnerable in Debian 3.1.\nUpgrade to libqt3c102-sqlite_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-apps-dev', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-apps-dev is vulnerable in Debian 3.1.\nUpgrade to qt3-apps-dev_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-assistant', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-assistant is vulnerable in Debian 3.1.\nUpgrade to qt3-assistant_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-designer', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-designer is vulnerable in Debian 3.1.\nUpgrade to qt3-designer_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-dev-tools', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-dev-tools is vulnerable in Debian 3.1.\nUpgrade to qt3-dev-tools_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-dev-tools-compat', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-dev-tools-compat is vulnerable in Debian 3.1.\nUpgrade to qt3-dev-tools-compat_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-dev-tools-embedded', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-dev-tools-embedded is vulnerable in Debian 3.1.\nUpgrade to qt3-dev-tools-embedded_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-doc', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-doc is vulnerable in Debian 3.1.\nUpgrade to qt3-doc_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-examples', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-examples is vulnerable in Debian 3.1.\nUpgrade to qt3-examples_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-linguist', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-linguist is vulnerable in Debian 3.1.\nUpgrade to qt3-linguist_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt3-qtconfig', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt3-qtconfig is vulnerable in Debian 3.1.\nUpgrade to qt3-qtconfig_3.3.4-3sarge1\n');
}
if (deb_check(prefix: 'qt-x11-free', release: '3.1', reference: '3.3.4-3sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package qt-x11-free is vulnerable in Debian sarge.\nUpgrade to qt-x11-free_3.3.4-3sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
