# This script was automatically generated from the dsa-1202
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
"cstone" and Rich Felker discovered that specially crafted UTF-8 sequences
may lead an out of bands memory write when displayed inside the screen
terminal multiplexer, allowing denial of service and potentially the
execution of arbitrary code.
For the stable distribution (sarge) this problem has been fixed in
version 4.0.2-4.1sarge1. Due to technical problems with the security
buildd infrastructure this update lacks a build for the Sun Sparc
architecture. It will be released as soon as the problems are resolved.
For the unstable distribution (sid) this problem has been fixed in
version 4.0.3-0.1.
We recommend that you upgrade your screen package.


Solution : http://www.debian.org/security/2006/dsa-1202
Risk factor : High';

if (description) {
 script_id(22934);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1202");
 script_cve_id("CVE-2006-4573");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1202] DSA-1202-1 screen");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1202-1 screen");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'screen', release: '3.1', reference: '4.0.2-4.1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package screen is vulnerable in Debian 3.1.\nUpgrade to screen_4.0.2-4.1sarge1\n');
}
if (deb_check(prefix: 'screen', release: '4.0', reference: '4.0.3-0.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package screen is vulnerable in Debian 4.0.\nUpgrade to screen_4.0.3-0.1\n');
}
if (deb_check(prefix: 'screen', release: '3.1', reference: '4.0.2-4.1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package screen is vulnerable in Debian sarge.\nUpgrade to screen_4.0.2-4.1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
