# This script was automatically generated from the dsa-1223
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Teemu Salmela discovered a vulnerability in GNU tar that could allow a
malicious user to overwrite arbitrary files by inducing the victim to
attempt to extract a specially crafted tar file containing a
GNUTYPE_NAMES record with a symbolic link.
For the stable distribution (sarge), this problem has been fixed in
version 1.14-2.3.
For the unstable distribution (sid) and the forthcoming stable release
(etch), this problem will be fixed in version 1.16-2.
We recommend that you upgrade your tar package.


Solution : http://www.debian.org/security/2006/dsa-1223
Risk factor : High';

if (description) {
 script_id(23765);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1223");
 script_cve_id("CVE-2006-6097");
 script_bugtraq_id(21235);

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1223] DSA-1223-1 tar");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1223-1 tar");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'tar', release: '3.1', reference: '1.14-2.3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tar is vulnerable in Debian 3.1.\nUpgrade to tar_1.14-2.3\n');
}
if (deb_check(prefix: 'tar', release: '4.0', reference: '1.16-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tar is vulnerable in Debian 4.0.\nUpgrade to tar_1.16-2\n');
}
if (deb_check(prefix: 'tar', release: '3.1', reference: '1.14-2.3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tar is vulnerable in Debian sarge.\nUpgrade to tar_1.14-2.3\n');
}
if (w) { security_hole(port: 0, data: desc); }
