# This script was automatically generated from the dsa-1230
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Rhys Kidd discovered a vulnerability in l2tpns, a layer 2 tunnelling
protocol network server, which could be triggered by a remote user to
execute arbitrary code.
For the stable distribution (sarge), this problem has been fixed in 
version 2.0.14-1sarge1.
For the unstable distribution (sid) this problem has been fixed in
version 2.1.21-1.
We recommend that you upgrade your l2tpns package.


Solution : http://www.debian.org/security/2006/dsa-1230
Risk factor : High';

if (description) {
 script_id(23791);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1230");
 script_cve_id("CVE-2006-5873");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1230] DSA-1230-1 l2tpns");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1230-1 l2tpns");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'l2tpns', release: '3.1', reference: '2.0.14-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package l2tpns is vulnerable in Debian 3.1.\nUpgrade to l2tpns_2.0.14-1sarge1\n');
}
if (deb_check(prefix: 'l2tpns', release: '4.0', reference: '2.1.21-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package l2tpns is vulnerable in Debian 4.0.\nUpgrade to l2tpns_2.1.21-1\n');
}
if (deb_check(prefix: 'l2tpns', release: '3.1', reference: '2.0.14-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package l2tpns is vulnerable in Debian sarge.\nUpgrade to l2tpns_2.0.14-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
