# This script was automatically generated from the dsa-1262
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
<q>Mu Security</q> discovered that a format string vulnerability in
the VoIP solution GnomeMeeting allows the execution of arbitrary code.
For the stable distribution (sarge) this problem has been fixed in
version 1.2.1-1sarge1.
For the upcoming stable distribution (etch) this problem has been
fixed in version 2.0.3-2.1 of the ekiga package.
For the unstable distribution (sid) this problem has been fixed in
version 2.0.3-2.1 of the ekiga package.
We recommend that you upgrade your gnomemeeting package.


Solution : http://www.debian.org/security/2007/dsa-1262
Risk factor : High';

if (description) {
 script_id(24765);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1262");
 script_cve_id("CVE-2007-1007");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1262] DSA-1262-1 gnomemeeting");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1262-1 gnomemeeting");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gnomemeeting', release: '3.1', reference: '1.2.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnomemeeting is vulnerable in Debian 3.1.\nUpgrade to gnomemeeting_1.2.1-1sarge1\n');
}
if (deb_check(prefix: 'gnomemeeting', release: '4.0', reference: '2.0.3-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnomemeeting is vulnerable in Debian 4.0.\nUpgrade to gnomemeeting_2.0.3-2\n');
}
if (deb_check(prefix: 'gnomemeeting', release: '4.0', reference: '2.0.3-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnomemeeting is vulnerable in Debian etch.\nUpgrade to gnomemeeting_2.0.3-2\n');
}
if (deb_check(prefix: 'gnomemeeting', release: '3.1', reference: '1.2.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gnomemeeting is vulnerable in Debian sarge.\nUpgrade to gnomemeeting_1.2.1-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
