# This script was automatically generated from the dsa-1280
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that aircrack-ng, a WEP/WPA security analysis tool,
performs insufficient validation of 802.11 authentication packets, which
allows the execution of arbitrary code.
The oldstable distribution (sarge) doesn\'t contain aircrack-ng packages.
For the stable distribution (etch) this problem has been fixed in
version 0.6.2-7etch1.
For the unstable distribution (sid) this problem has been fixed in
version 0.7-3.
We recommend that you upgrade your aircrack-ng packages. Packages for
the arm, sparc, mips and mipsel architectures are not yet available. They
will be provided later.


Solution : http://www.debian.org/security/2007/dsa-1280
Risk factor : High';

if (description) {
 script_id(25097);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1280");
 script_cve_id("CVE-2007-2057");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1280] DSA-1280-1 aircrack-ng");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1280-1 aircrack-ng");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'aircrack-ng', release: '', reference: '0.7-3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package aircrack-ng is vulnerable in Debian .\nUpgrade to aircrack-ng_0.7-3\n');
}
if (deb_check(prefix: 'aircrack', release: '4.0', reference: '0.6.2-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package aircrack is vulnerable in Debian 4.0.\nUpgrade to aircrack_0.6.2-7etch1\n');
}
if (deb_check(prefix: 'aircrack-ng', release: '4.0', reference: '0.6.2-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package aircrack-ng is vulnerable in Debian 4.0.\nUpgrade to aircrack-ng_0.6.2-7etch1\n');
}
if (deb_check(prefix: 'aircrack-ng', release: '4.0', reference: '0.6.2-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package aircrack-ng is vulnerable in Debian etch.\nUpgrade to aircrack-ng_0.6.2-7etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
