# This script was automatically generated from the dsa-1288
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that the PoPToP Point to Point Tunneling Server
contains a programming error, which allows the tear-down of a PPTP
connection through a malformed GRE packet, resulting in denial of
service.
The oldstable distribution (sarge) is not affected by this problem.
For the stable distribution (etch) this problem has been fixed in
version 1.3.0-2etch1.
For the unstable distribution (sid) this problem has been fixed in
version 1.3.4-1.
We recommend that you upgrade your pptpd packages.


Solution : http://www.debian.org/security/2007/dsa-1288
Risk factor : High';

if (description) {
 script_id(25177);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1288");
 script_cve_id("CVE-2007-0244");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1288] DSA-1288-1 pptpd");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1288-1 pptpd");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'pptpd', release: '', reference: '1.3.4-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pptpd is vulnerable in Debian .\nUpgrade to pptpd_1.3.4-1\n');
}
if (deb_check(prefix: 'bcrelay', release: '4.0', reference: '1.3.0-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package bcrelay is vulnerable in Debian 4.0.\nUpgrade to bcrelay_1.3.0-2etch1\n');
}
if (deb_check(prefix: 'pptpd', release: '4.0', reference: '1.3.0-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pptpd is vulnerable in Debian 4.0.\nUpgrade to pptpd_1.3.0-2etch1\n');
}
if (deb_check(prefix: 'pptpd', release: '4.0', reference: '1.3.0-2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pptpd is vulnerable in Debian etch.\nUpgrade to pptpd_1.3.0-2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
