# This script was automatically generated from the dsa-1298
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that the Open Ticket Request System performs
insufficient input sanitising for the Subaction parameter, which allows
the injection of arbitrary web script code.
The oldstable distribution (sarge) doesn\'t include otrs2.
For the stable distribution (etch) this problem has been fixed in
version 2.0.4p01-18.
The unstable distribution (sid) isn\'t affected by this problem.
We recommend that you upgrade your otrs2 package.


Solution : http://www.debian.org/security/2007/dsa-1298
Risk factor : High';

if (description) {
 script_id(25356);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1298");
 script_cve_id("CVE-2007-2524");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1298] DSA-1298-1 otrs2");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1298-1 otrs2");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'otrs2', release: '4.0', reference: '2.0.4p01-18')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package otrs2 is vulnerable in Debian 4.0.\nUpgrade to otrs2_2.0.4p01-18\n');
}
if (deb_check(prefix: 'otrs2', release: '4.0', reference: '2.0.4p01-18')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package otrs2 is vulnerable in Debian etch.\nUpgrade to otrs2_2.0.4p01-18\n');
}
if (w) { security_hole(port: 0, data: desc); }
