# This script was automatically generated from the dsa-1299
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

It was discovered that a specially-crafted packet sent to the racoon
ipsec key exchange server could cause a tunnel to crash, resulting in
a denial of service.
The oldstable distribution (sarge) isn\'t affected by this problem.
For the stable distribution (etch) this problem has been fixed in
version 1:0.6.6-3.1.
The unstable distribution (sid) will be fixed soon.
We recommend that you upgrade your racoon package.


Solution : http://www.debian.org/security/2007/dsa-1299
Risk factor : High';

if (description) {
 script_id(25455);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1299");
 script_cve_id("CVE-2007-1841");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1299] DSA-1299-1 ipsec-tools");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1299-1 ipsec-tools");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'ipsec-tools', release: '4.0', reference: '0.6.6-3.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ipsec-tools is vulnerable in Debian 4.0.\nUpgrade to ipsec-tools_0.6.6-3.1etch1\n');
}
if (deb_check(prefix: 'racoon', release: '4.0', reference: '0.6.6-3.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package racoon is vulnerable in Debian 4.0.\nUpgrade to racoon_0.6.6-3.1etch1\n');
}
if (deb_check(prefix: 'ipsec-tools', release: '4.0', reference: '0.6.6-3.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ipsec-tools is vulnerable in Debian etch.\nUpgrade to ipsec-tools_0.6.6-3.1\n');
}
if (w) { security_hole(port: 0, data: desc); }
