# This script was automatically generated from the dsa-1319
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Several remote vulnerabilities have been discovered in MaraDNS, a simple
security-aware Domain Name Service server. The Common Vulnerabilities and
Exposures project identifies the following problems:
    It was discovered that malformed DNS requests can trigger memory
    leaks, allowing denial of service.
    It was discovered that malformed DNS requests can trigger memory
    leaks, allowing denial of service.
    It was discovered that malformed DNS requests can trigger memory
    leaks, allowing denial of service.
The oldstable distribution (sarge) is not affected by these problems.
For the stable distribution (etch) these problems have been fixed
in version 1.2.12.04-1etch1.
For the unstable distribution (sid) these problems have been fixed in
version 1.2.12.06-1.
We recommend that you upgrade your maradns packages.


Solution : http://www.debian.org/security/2007/dsa-1319
Risk factor : High';

if (description) {
 script_id(25585);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1319");
 script_cve_id("CVE-2007-3114", "CVE-2007-3115", "CVE-2007-3116");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1319] DSA-1319-1 maradns");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1319-1 maradns");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'maradns', release: '', reference: '1.2.12.06-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package maradns is vulnerable in Debian .\nUpgrade to maradns_1.2.12.06-1\n');
}
if (deb_check(prefix: 'maradns', release: '4.0', reference: '1.2.12.04-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package maradns is vulnerable in Debian 4.0.\nUpgrade to maradns_1.2.12.04-1etch1\n');
}
if (deb_check(prefix: 'maradns', release: '4.0', reference: '1.2.12.04-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package maradns is vulnerable in Debian etch.\nUpgrade to maradns_1.2.12.04-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
