#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24075);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-2452", "CVE-2006-6105");
 
 name["english"] = "Fedora Core 6 2006-1468: gdm";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1468 (gdm).

Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

Update Information:

This update brings gdm to the latest stable upstream version,
which among other bug fixes and improvements contains a
fix for a recently reported security issue that has ID
CVE-2006-6105. This fixes a problem where a user can
enter strings like '%08x' into the gdmchooser 'Add'j
host button and print out memory.


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the gdm package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"gdm-2.16.4-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"gdm-", release:"FC6") )
{
 set_kb_item(name:"CVE-2006-2452", value:TRUE);
 set_kb_item(name:"CVE-2006-6105", value:TRUE);
}
