#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24081);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-6497", "CVE-2006-6501", "CVE-2006-6504");
 
 name["english"] = "Fedora Core 5 2006-1499: firefox";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1499 (firefox).

Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

Update Information:

Mozilla Firefox is an open source Web browser.

Several flaws were found in the way Firefox processes
certain malformed JavaScript code. A malicious web page
could cause the execution of JavaScript code in such a way
that could cause Firefox to crash or execute arbitrary code
as the user running Firefox. (CVE-2006-6498, CVE-2006-6501,
CVE-2006-6502, CVE-2006-6503, CVE-2006-6504)

Several flaws were found in the way Firefox renders web
pages. A malicious web page could cause the browser to crash
or possibly execute arbitrary code as the user running
Firefox. (CVE-2006-6497)

Users of Firefox are advised to upgrade to this package,
which contains Firefox version 1.5.0.9 and corrects these
issues.


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the firefox package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"firefox-1.5.0.9-1.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"firefox-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-6497", value:TRUE);
 set_kb_item(name:"CVE-2006-6501", value:TRUE);
 set_kb_item(name:"CVE-2006-6504", value:TRUE);
}
