#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-528 (libpng).

The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.



Update information :

* Wed May 23 2007 Tom Lane <tgl redhat com> 2:1.2.8-3
- Add patch to fix CVE-2006-5793
Related: #215405
- Add patch to fix CVE-2007-2445
Related: #239542
- Require pkgconfig in the -devel subpackage
Resolves: #217903



Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25303);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-5793", "CVE-2007-2445");
 
 name["english"] = "Fedora Core 5 2007-528: libpng";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the libpng package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"libpng-1.2.8-3.fc5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"libpng-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
