#
# (C) Tenable Network Security
#


if (description)
{
  script_id(23869);
  script_version("$Revision: 1.2 $");

  script_cve_id("CVE-2006-5330");
  script_bugtraq_id(20592, 20593);
  script_xref(name:"OSVDB", value:"29863");

  script_name(english:"Flash Player APSB06-18");
  script_summary(english:"Checks version of Flash Player");
 
  desc = "
Synopsis :

The remote Windows host contains a browser plugin that is affected by
multiple HTTP header injection issues. 

Description :

According to its version number, the instance of Flash Player on the
remote Windows host contains two ways for a remote attacker to perform
arbitrary HTTP requests while controlling most of the HTTP headers.  A
remote attacker may be able to leverage these issues to conduct
cross-site request forgery attacks against a user who visits a
malicious web site. 

See also :

http://www.rapid7.com/advisories/R7-0026.jsp
http://www.adobe.com/support/security/bulletins/apsb06-18.html

Solution :

Upgrade to Flash Player version 9.0.28.0 or later. 

Risk factor :

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:N/I:P/A:N/B:N)";
  script_description(english:desc);
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"Gain root remotely");

  script_copyright(english:"This script is Copyright (C) 2006-2007 Tenable Network Security");

  script_dependencies("flash_player_overflows.nasl");
  script_require_keys("MacromediaFlash/version");

  exit(0);
}


ver = get_kb_item("MacromediaFlash/version");
if (isnull(ver)) exit(0);

iver = split(ver, sep:'.', keep:FALSE);
if (
  int(iver[0]) == 7 ||
  int(iver[0]) == 8 ||
  (int(iver[0]) == 9 && int(iver[1]) == 0 && int(iver[2]) < 28)
) security_note(get_kb_item("SMB/transport"));
