# This script was automatically generated from 
#  http://www.gentoo.org/security/en/glsa/glsa-200705-16.xml
# It is released under the Nessus Script Licence.
# The messages are release under the Creative Commons - Attribution /
# Share Alike license. See http://creativecommons.org/licenses/by-sa/2.0/
#
# Avisory is copyright 2001-2006 Gentoo Foundation, Inc.
# GLSA2nasl Convertor is copyright 2004 Michel Arboi <mikhail@nessus.org>

if (! defined_func('bn_random')) exit(0);

if (description)
{
 script_id(25262);
 script_version("$Revision: 1.1 $");
 script_xref(name: "GLSA", value: "200705-16");
 script_cve_id("CVE-2007-2024", "CVE-2007-2025");

 desc = 'The remote host is affected by the vulnerability described in GLSA-200705-16
(PhpWiki: Remote execution of arbitrary code)


    Harold Hallikainen has reported that the Upload page fails to properly
    check the extension of a file.
  
Impact

    A remote attacker could upload a specially crafted PHP file to the
    vulnerable server, resulting in the execution of arbitrary PHP code
    with the privileges of the user running PhpWiki.
  
Workaround

    There is no known workaround at this time.
  
References:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2024
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2025


Solution: 
    All PhpWiki users should upgrade to the latest version:
    # emerge --sync
    # emerge --ask --oneshot --verbose ">=www-apps/phpwiki-1.3.10-r3"
  

Risk factor : High
';
 script_description(english: desc);
 script_copyright(english: "(C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[GLSA-200705-16] PhpWiki: Remote execution of arbitrary code");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Gentoo Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys('Host/Gentoo/qpkg-list');
 script_summary(english: 'PhpWiki: Remote execution of arbitrary code');
 exit(0);
}

include('qpkg.inc');
if (qpkg_check(package: "www-apps/phpwiki", unaffected: make_list("ge 1.3.10-r3"), vulnerable: make_list("lt 1.3.10-r3")
)) { security_hole(0); exit(0); }
