#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2006:015
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24499);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2006:015: gthumb";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2006:015 (gthumb).

A bug was discovered in gthumb were the UI (User Interface) can
get corrupted when importing photos in some non-UTF8 locales (such
as French). Some text strings (returned from libgphoto) where not
converted into UTF-8 before being used by GTK+.
Updated packages have been patched to correct the issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2006:015
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the gthumb package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"gthumb-2.6.6-2.1.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
