#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2006:053
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24528);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2006:053: dbus";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2006:053 (dbus).

On Mandriva Linux 2007.0, the path for D-Bus system bus socket was not
following D-Bus specification. This could cause some implementation of
the D-Bus specification to not detect the system bus correctly. This
updated package ensures the location of the system bus is exported
through DBUS_SYSTEM_BUS_ADDRESS, in compliance with D-Bus
specification.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2006:053
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the dbus package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"dbus-0.92-8.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"dbus-x11-0.92-8.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libdbus-1_3-0.92-8.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libdbus-1_3-devel-0.92-8.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
