#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2006:173
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24559);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-2802", "CVE-2006-4800");
 
 name["english"] = "MDKSA-2006:173: ffmpeg";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2006:173 (ffmpeg).

Multiple buffer overflows in libavcodec in ffmpeg before
0.4.9_p20060530 allow remote attackers to cause a denial of service or
possibly execute arbitrary code via multiple unspecified vectors in (1)
dtsdec.c, (2) vorbis.c, (3) rm.c, (4)sierravmd.c, (5) smacker.c, (6)
tta.c, (7) 4xm.c, (8) alac.c, (9) cook.c, (10)shorten.c, (11)
smacker.c, (12) snow.c, and (13) tta.c. NOTE: it is likely that this is
a different vulnerability than CVE-2005-4048 and CVE-2006-2802.
Updated packages have been patched to correct this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:173
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the ffmpeg package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"ffmpeg-0.4.9-0.pre1.5.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libffmpeg0-0.4.9-0.pre1.5.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libffmpeg0-devel-0.4.9-0.pre1.5.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"ffmpeg-", release:"MDK2006.0") )
{
 set_kb_item(name:"CVE-2006-2802", value:TRUE);
 set_kb_item(name:"CVE-2006-4800", value:TRUE);
}
