#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:125
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25537);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-2873");
 
 name["english"] = "MDKSA-2007:125: spamassassin";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:125 (spamassassin).

SpamAssassin 3.1.x, when running as root with unusual configuration
options using vpopmail or virtual users, could allow local users to
cause a denial of service (via corrupting arbitrary files) using a
symlink attack on a file used by spamd.
SpamAssassin 3.1.9, which corrects this flaw, is provided with
this update.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:125
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the spamassassin package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"perl-Mail-SpamAssassin-3.1.9-0.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-3.1.9-0.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-spamc-3.1.9-0.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-spamd-3.1.9-0.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-tools-3.1.9-0.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"perl-Mail-SpamAssassin-3.1.9-0.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-3.1.9-0.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-spamc-3.1.9-0.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-spamd-3.1.9-0.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"spamassassin-tools-3.1.9-0.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"spamassassin-", release:"MDK2007.0")
 || rpm_exists(rpm:"spamassassin-", release:"MDK2007.1") )
{
 set_kb_item(name:"CVE-2007-2873", value:TRUE);
}
