#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(22940);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-4811");

 name["english"] = "RHSA-2006-0725: qt";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated qt packages that correct an integer overflow flaw are now
  available.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  Qt is a software toolkit that simplifies the task of writing and
  maintaining GUI (Graphical User Interface) applications for the X Window
  System.

  An integer overflow flaw was found in the way Qt handled certain pixmap
  images. If an application linked against Qt created a pixmap image in a
  certain way, it could lead to a denial of service or possibly allow the
  execution of arbitrary code. (CVE-2006-4811)

  Users of Qt should upgrade to these updated packages, which contain a
  backported patch to correct this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2006-0725.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the qt packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2006 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"qt-2.3.1-12.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-Xt-2.3.1-12.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-designer-2.3.1-12.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-devel-2.3.1-12.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-static-2.3.1-12.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-MySQL-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-ODBC-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-config-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-designer-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-devel-3.1.2-14.RHEL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-MySQL-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-ODBC-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-PostgreSQL-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-config-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-designer-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"qt-devel-3.3.3-10.RHEL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"qt-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2006-4811", value:TRUE);
}
if ( rpm_exists(rpm:"qt-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2006-4811", value:TRUE);
}
if ( rpm_exists(rpm:"qt-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-4811", value:TRUE);
}

set_kb_item(name:"RHSA-2006-0725", value:TRUE);
