#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(23960);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-6497", "CVE-2006-6498", "CVE-2006-6501", "CVE-2006-6502", "CVE-2006-6503", "CVE-2006-6504");

 name["english"] = "RHSA-2006-0758: firefox";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated firefox packages that fix several security bugs are now available
  for Red Hat Enterprise Linux 4.

  This update has been rated as having critical security impact by the Red
  Hat Security Response Team.

  Mozilla Firefox is an open source Web browser.

  Several flaws were found in the way Firefox processes certain malformed
  Javascript code. A malicious web page could cause the execution of
  Javascript code in such a way that could cause Firefox to crash or execute
  arbitrary code as the user running Firefox. (CVE-2006-6498, CVE-2006-6501,
  CVE-2006-6502, CVE-2006-6503, CVE-2006-6504)

  Several flaws were found in the way Firefox renders web pages. A malicious
  web page could cause the browser to crash or possibly execute arbitrary
  code as the user running Firefox. (CVE-2006-6497)

  Users of Firefox are advised to upgrade to these erratum packages, which
  contain Firefox version 1.5.0.9 that corrects these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2006-0758.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the firefox packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2006 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"firefox-1.5.0.9-0.1.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"firefox-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-6497", value:TRUE);
 set_kb_item(name:"CVE-2006-6498", value:TRUE);
 set_kb_item(name:"CVE-2006-6501", value:TRUE);
 set_kb_item(name:"CVE-2006-6502", value:TRUE);
 set_kb_item(name:"CVE-2006-6503", value:TRUE);
 set_kb_item(name:"CVE-2006-6504", value:TRUE);
}

set_kb_item(name:"RHSA-2006-0758", value:TRUE);
