#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25362);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-1558");

 name["english"] = "RHSA-2007-0344: evolution";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated evolution-data-server package that fixes a security bug are now
  available for Red Hat Enterprise Linux 5.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  The evolution-data-server package provides a unified backend for programs
  that work with contacts, tasks, and calendar information.

  A flaw was found in the way evolution-data-server processed certain APOP
  authentication requests. By sending certain responses when
  evolution-data-server attempted to authenticate against an APOP server, a
  remote attacker could potentially acquire certain portions of a user\'s
  authentication credentials. (CVE-2007-1558)

  All users of evolution-data-server should upgrade to these updated
  packages, which contain a backported patch which resolves this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0344.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the evolution packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"evolution-data-server-1.8.0-15.0.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"evolution-data-server-devel-1.8.0-15.0.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"evolution-data-server-1.8.0-15.0.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"evolution-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-1558", value:TRUE);
}
if ( rpm_exists(rpm:"evolution-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-1558", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0344", value:TRUE);
