#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25519);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-1349");

 name["english"] = "RHSA-2007-0395: mod_perl";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated mod_perl packages that fix a security issue are now available for Red
  Hat Enterprise Linux 3, 4, 5.

  This update has been rated as having low security impact by the Red
  Hat Security Response Team.

  Mod_perl incorporates a Perl interpreter into the Apache web server,
  so that the Apache web server can directly execute Perl code.

  An issue was found in the "namespace_from_uri" method of the
  ModPerl::RegistryCooker class. If a server implemented a mod_perl registry
  module using this method, a remote attacker requesting a carefully crafted
  URI can cause resource consumption, which could lead to a denial of service
  (CVE-2007-1349).

  Users of mod_perl should update to these erratum packages which contain a
  backported fix to correct this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0395.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mod_perl packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"mod_perl-2.0.2-6.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-2.0.2-6.3.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_09-12.ent", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mod_perl-devel-1.99_16-4.5", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"mod_perl-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}
if ( rpm_exists(rpm:"mod_perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-1349", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0395", value:TRUE);
